/*
 * Class REFLECTED_REFERENCE_OBJECT
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_138 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_1_138 [] = {0xFF01,237,137,0xFFFF};
static const EIF_TYPE_INDEX egt_2_138 [] = {0xFF01,137,0xFFFF};
static const EIF_TYPE_INDEX egt_3_138 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_138 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_138 [] = {0xFF01,137,0xFFFF};
static const EIF_TYPE_INDEX egt_6_138 [] = {0xFF01,137,0xFFFF};
static const EIF_TYPE_INDEX egt_7_138 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_138 [] = {0xFF01,14,0xFFFF};
static const EIF_TYPE_INDEX egt_9_138 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_10_138 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_11_138 [] = {0xFF01,15,0xFFFF};
static const EIF_TYPE_INDEX egt_12_138 [] = {0xFF01,137,0xFFFF};
static const EIF_TYPE_INDEX egt_13_138 [] = {0xFF01,0,0xFFFF};
static const EIF_TYPE_INDEX egt_14_138 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_15_138 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_16_138 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_17_138 [] = {0xFF01,136,0xFFFF};
static const EIF_TYPE_INDEX egt_18_138 [] = {0xFF01,136,0xFFFF};
static const EIF_TYPE_INDEX egt_19_138 [] = {0xFF01,137,0xFFFF};
static const EIF_TYPE_INDEX egt_20_138 [] = {0xFF01,0,0xFFFF};


static const struct desc_info desc_138[] = {
	{EIF_GENERIC(NULL), 0xFFFFFFFF, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_138), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_138), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_138), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_138), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_138), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_138), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_138), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_138), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_138), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_138), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_138), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_138), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0113 /*137*/), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01AF /*215*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_138), 30, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 2680, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 2681, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 2682, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 2683, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 2684, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 2685, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 2686, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 2662, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 2663, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 2664, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 2665, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 2666, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 2667, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 2668, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 2669, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 2670, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 2671, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 2672, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 2673, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 2674, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 2675, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 2676, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 2677, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 2678, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 2679, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_138), 2860, 0xFFFFFFFF},
	{EIF_GENERIC(egt_14_138), 2782, 0xFFFFFFFF},
	{EIF_GENERIC(egt_15_138), 2783, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 2784, 4},
	{EIF_NON_GENERIC(0x019D /*206*/), 2785, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 2786, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01 /*0*/), 2787, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01 /*0*/), 2788, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2789, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2790, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2791, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2792, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2793, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2794, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2795, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2796, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2797, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2798, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2799, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2800, 0xFFFFFFFF},
	{EIF_GENERIC(egt_16_138), 2801, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 2802, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 2803, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 2804, 0xFFFFFFFF},
	{EIF_GENERIC(egt_17_138), 2864, 0xFFFFFFFF},
	{EIF_GENERIC(egt_18_138), 2805, 0xFFFFFFFF},
	{EIF_GENERIC(egt_19_138), 2865, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0173 /*185*/), 2806, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x016D /*182*/), 2807, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2808, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x018B /*197*/), 2809, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0197 /*203*/), 2810, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0191 /*200*/), 2811, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01A9 /*212*/), 2812, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0161 /*176*/), 2813, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01A3 /*209*/), 2814, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 2815, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0179 /*188*/), 2816, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0167 /*179*/), 2817, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01AF /*215*/), 2818, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0185 /*194*/), 2819, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 2820, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 2821, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 2822, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 2823, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 2824, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 2825, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 2826, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 2827, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 2828, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 2829, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 2830, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 2831, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 2832, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 2833, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 2834, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 2835, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 2836, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 2837, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 2838, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 2839, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 2840, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 2841, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 2842, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01A9 /*212*/), 2843, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01A9 /*212*/), 2844, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01AF /*215*/), 2861, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 2857, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 2858, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 2859, 0xFFFFFFFF},
	{EIF_GENERIC(egt_20_138), 2862, 0},
	{EIF_NON_GENERIC(0x019D /*206*/), 2863, 8},
	{EIF_GENERIC(NULL), 2866, 0xFFFFFFFF},
};
void Init138(void)
{
	IDSC(desc_138, 0, 137);
	IDSC(desc_138 + 1, 1, 137);
	IDSC(desc_138 + 32, 82, 137);
	IDSC(desc_138 + 57, 152, 137);
	IDSC(desc_138 + 124, 48, 137);
}


#ifdef __cplusplus
}
#endif
